summaryrefslogtreecommitdiff
path: root/dev-python/testresources/testresources-2.0.1.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/testresources/testresources-2.0.1.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/testresources/testresources-2.0.1.ebuild')
-rw-r--r--dev-python/testresources/testresources-2.0.1.ebuild37
1 files changed, 37 insertions, 0 deletions
diff --git a/dev-python/testresources/testresources-2.0.1.ebuild b/dev-python/testresources/testresources-2.0.1.ebuild
new file mode 100644
index 000000000000..2656fe9e2c07
--- /dev/null
+++ b/dev-python/testresources/testresources-2.0.1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A pyunit extension for managing expensive test resources"
+HOMEPAGE="https://launchpad.net/testresources"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 s390 sparc x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ dev-python/pbr[${PYTHON_USEDEP}]
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/testtools[${PYTHON_USEDEP}]
+ dev-python/fixtures[${PYTHON_USEDEP}]
+ )"
+
+python_prepare_all() {
+ sed \
+ -e 's:testBasicSortTests:_&:g' \
+ -i testresources/tests/test_optimising_test_suite.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ nosetests --verbose || die "Tests failed under ${EPYTHON}"
+}